Subject: Re: bug#76842: 30.1.50; save-buffers-kill-terminal kills daemon when tooltip-mode is disabled

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Mar 2025 11:36:02 +0200

> Cc: [email-masked]
> Date: Fri, 07 Mar 2025 15:33:24 -0500
> From:  Aaron Zeng via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> When running Emacs in daemon mode, C-x C-c normally just kills the
> current client.  However, when tooltip-mode is disabled but a tooltip is
> being displayed by some other package, C-x C-c kills the daemon instead.
> 
> To reproduce:
> 
> 1. emacs -Q --daemon
> 2. emacsclient -c
> 
>    At this point, C-x C-c just kills the client.  You can create another
>    client for the same daemon by just running emacsclient -c again.
> 
> 3. M-x tooltip-mode (it is enabled by default; this disables it)
> 4. M-: (tooltip-show "asdf")
> 5. Press C-x C-c while the tooltip is displayed (x-show-tooltip-timeout
>    defaults to 5 seconds)
> 
> After step 5, Emacs pauses briefly and then the client is closed.
> However, attempting to create another client fails because the daemon
> has also died unexpectedly.

AFAICT, the daemon aborts in this scenario.

> The concrete scenario where this occurred at my site involved Spacemacs
> (which disables tooltip-mode) and flycheck-pos-tip-mode (which uses
> pos-tip, which uses the same x-show-tip function that tooltip-show
> calls).

Thanks, should be fixed now on both the master and the release
branches.